Skip to Content

Destinations

Destinations are configurations for exporting data from Vendo to external platforms like Mixpanel, Google Analytics, or ad platforms for conversion tracking.

List Destinations

Retrieve all destinations for your account.

GET /api/v1/destinations

Query Parameters

ParameterTypeDescription
limitintegerNumber of items to return (default: 20, max: 100)
offsetintegerNumber of items to skip (default: 0)
sortstringSort field and order (e.g., created_at:desc)
statestringFilter by state: active, inactive
sync_typestringFilter by export type
app_idstringFilter by destination app ID

Example Request

curl -H "Authorization: Bearer YOUR_API_KEY" \ "https://app.vendodata.com/api/v1/destinations?state=active"

Example Response

{ "data": [ { "id": "aa0e8400-e29b-41d4-a716-446655440005", "accountId": "123e4567-e89b-12d3-a456-426614174000", "appId": "bb0e8400-e29b-41d4-a716-446655440006", "appName": "Mixpanel Production", "syncType": "events", "exportTasks": ["track_events", "user_profiles"], "state": "active", "integrationStatus": "completed", "lastExportAt": "2024-03-04T10:30:00Z", "consecutiveFailures": 0, "createdAt": "2024-01-20T09:00:00Z", "updatedAt": "2024-03-04T10:30:00Z" } ], "meta": { "pagination": { "total": 1, "limit": 20, "offset": 0, "hasMore": false } } }

Get Destination Details

Retrieve details for a specific destination.

GET /api/v1/destinations/{destinationId}

Path Parameters

ParameterTypeDescription
destinationIdstring (UUID)The destination’s unique identifier

Example Request

curl -H "Authorization: Bearer YOUR_API_KEY" \ https://app.vendodata.com/api/v1/destinations/aa0e8400-e29b-41d4-a716-446655440005

Example Response

{ "data": { "id": "aa0e8400-e29b-41d4-a716-446655440005", "accountId": "123e4567-e89b-12d3-a456-426614174000", "appId": "bb0e8400-e29b-41d4-a716-446655440006", "appName": "Mixpanel Production", "syncType": "events", "exportTasks": ["track_events", "user_profiles"], "config": { "include_anonymous_events": false, "event_name_prefix": "" }, "state": "active", "integrationStatus": "completed", "lastExportAt": "2024-03-04T10:30:00Z", "lastError": null, "consecutiveFailures": 0, "createdAt": "2024-01-20T09:00:00Z", "updatedAt": "2024-03-04T10:30:00Z" } }

Create Destination

Create a new data destination.

POST /api/v1/destinations

Request Body

FieldTypeRequiredDescription
appIdstring (UUID)YesThe destination app connection
syncTypestringYesType of data to export
exportTasksarrayNoSpecific export operations
configobjectNoDestination-specific configuration

Example Request

curl -X POST \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "appId": "bb0e8400-e29b-41d4-a716-446655440006", "syncType": "events", "exportTasks": ["track_events", "user_profiles"] }' \ https://app.vendodata.com/api/v1/destinations

Example Response

{ "data": { "id": "cc0e8400-e29b-41d4-a716-446655440007", "accountId": "123e4567-e89b-12d3-a456-426614174000", "appId": "bb0e8400-e29b-41d4-a716-446655440006", "syncType": "events", "state": "active", "integrationStatus": "pending", "createdAt": "2024-03-04T15:00:00Z" } }

Update Destination

Update an existing destination configuration.

PATCH /api/v1/destinations/{destinationId}

Request Body

FieldTypeDescription
exportTasksarrayUpdated list of export operations
configobjectUpdated configuration

Example Request

curl -X PATCH \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "config": { "include_anonymous_events": true } }' \ https://app.vendodata.com/api/v1/destinations/aa0e8400-e29b-41d4-a716-446655440005

Delete Destination

Soft-delete a destination.

DELETE /api/v1/destinations/{destinationId}

Example Request

curl -X DELETE \ -H "Authorization: Bearer YOUR_API_KEY" \ https://app.vendodata.com/api/v1/destinations/cc0e8400-e29b-41d4-a716-446655440007

Common Export Types

Sync TypeDescriptionSupported Destinations
eventsTrack events and page viewsMixpanel, Segment, GA4
user_propertiesUser profile attributesMixpanel, Segment
conversionsConversion events for ad platformsGoogle Ads, Meta Ads, TikTok
audiencesAudience/segment syncMeta Ads, Google Ads
ad_dataAd performance dataBigQuery

See the Catalog endpoint for destination capabilities by platform.

Last updated on